Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# WoopsiUI::Alert Class Reference

`#include <alert.h>`

Inheritance diagram for WoopsiUI::Alert:

List of all members.

## Public Member Functions
| Alert (s16 x, s16 y, u16 width, u16 height, const WoopsiString &title, const WoopsiString &text, GadgetStyle *style=NULL)
virtual void | handleReleaseEvent (const GadgetEventArgs &e)
## Protected Member Functions
virtual void | onResize (u16 width, u16 height)
virtual | ~Alert ()
| Alert (const Alert &alert)
## Protected Attributes
Button * | _button
MultiLineTextBox * | _textBox

## Detailed Description

Class providing a window containing a textbox and an OK button. The contents of the textbox and the title of the window can be set in the constructor. Designed to show short messages to the user. The contents of the window will automatically resize to fit the dimensions of the window.

## Constructor & Destructor Documentation

WoopsiUI::Alert::Alert | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | const WoopsiString & | title,
|  | const WoopsiString & | text,
|  | GadgetStyle * | style = `NULL`
| ) |  |

Constructor.

Parameters:

  x | The x co-ordinate of the window.
  y | The y co-ordinate of the window.
  width | The width of the window.
  height | The height of the window.
  title | The title of the window.
  text | The text to display in the window.
  style | The style that the gadget should use. If this is not specified, the gadget will use the values stored in the global defaultGadgetStyle object. The gadget will copy the properties of the style into its own internal style object.

virtual WoopsiUI::Alert::~Alert | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::Alert::Alert | ( | const Alert & | alert | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::Alert::handleReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handles release events raised by its sub-gadgets.

Reimplemented from WoopsiUI::AmigaWindow.

virtual void WoopsiUI::Alert::onResize | ( | u16 | width,
|  | u16 | height
| ) |  | `[protected, virtual]`

Resize the requester to the new dimensions.

Parameters:

  width | The new width.
  height | The new height.

Reimplemented from WoopsiUI::AmigaWindow.

## Member Data Documentation

Button* WoopsiUI::Alert::_button`[protected]`

Pointer to the OK button.

MultiLineTextBox* WoopsiUI::Alert::_textBox`[protected]`

Pointer to the alert message box.

The documentation for this class was generated from the following file:

- alert.h